JAR = jar
JDOC = javadoc

.SUFFIXES: .java .class .jar
.java.class:
	$(JC) $(JFLAGS) '.:resty-0.3.2.jar' $*.java
	
CLASSES = \
	APICreator.java \
	Curso.java \
	Profesor.java \
	Estudiante.java \
	Main.java \
	ComponentesFormII.java \	

MAIN = Main
MAINC = $(MAIN).class
MAINH = PhysicsLab

default: classes

classes: $(CLASSES:.java=.class)

run:	 
	javac Main.java
	java  Main
	
clean:
	$(RM) *.class

doc:
	$(JDOC) $(CLASSES) 